# Copyright 2025 MicroEJ Corp. This file has been modified by MicroEJ Corp.

CONFIG_PRINTK=y

# Enable VEE
CONFIG_ENABLE_VEE=y

# Activate Debugging
CONFIG_DEBUG=n

CONFIG_SYSTEM=y
CONFIG_ACTIONS_FRAMEWORK=y
CONFIG_FLASH_SIZE=8192

# Bluetooth
CONFIG_BT_STACK=y
CONFIG_ACTS_BT=y
CONFIG_BT_DRV=y
CONFIG_BT_HCI_ACTS=y

CONFIG_BT_MAX_CONN=4
CONFIG_BT_MAX_BR_CONN=2

CONFIG_BT_MAX_PAIRED=4
CONFIG_BT_MAX_BR_PAIRED=2

CONFIG_BT_BREDR=y
CONFIG_BT_SMP_APP_PAIRING_ACCEPT=y
CONFIG_BT_MANAGER=n
CONFIG_BT_GATT_DYNAMIC_DB=y
CONFIG_BT_PERIPHERAL=y
CONFIG_BT_OBSERVER=y
CONFIG_BT_CENTRAL=y
CONFIG_BT_GATT_CLIENT=y
CONFIG_BT_BROADCASTER=y
CONFIG_BT_PRIVACY=y
CONFIG_LE_RANDOM_ADDR=n
CONFIG_BT_DEVICE_NAME_DYNAMIC=y
CONFIG_BT_DEVICE_NAME=""
CONFIG_BT_PROPERTY=n

CONFIG_BT_SMP=y
CONFIG_BT_DEBUG_SMP=y
CONFIG_BT_TINYCRYPT_ECC=y
CONFIG_BT_BONDABLE=n
CONFIG_BT_CONN_TX_MAX=12
